
// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions


camera
{
  location  <0.0 , 0.0 ,-8.0>
  look_at   <0.0 , 0.0 , 0.0>
}

// create a regular point light source
light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-10, 0, -20>
}

// create a regular point light source
light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <10, 0, -20>
}

// BackDrop Plane
// plane {<A, B, C>, D } where: A*x + B*y + C*z = D
plane
{
  z, // <X Y Z> unit surface normal, vector points "away from surface"
  2.0 // distance from the origin in the direction of the surface normal
  pigment
  {
    checker White, Black
  }
}


// Create first poly (default)
#include "ProgTut1.inc"
object { POLY rotate <-45,0,0> translate <2,2,0> pigment { color Yellow } }

// Create 2nd poly (poly vertex = 7, Hole vertex = 5)
#declare POLY_VERTEX1 = 7
#declare POLY_VERTEX2 = 5
#include "ProgTut1.inc"
object { POLY rotate <-45,0,0> translate <-2,-2,0> pigment { color Yellow } }

